body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    position: relative;
    width: 150px;
    height: 150px;
}

.ring {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-left: 4px solid #FFF;
    border-radius: 50%;
    animation: ring 1s linear infinite;
}

p {
    width: 100%;
    height: 100%;
    margin: 0;
    text-align: center;
    line-height: 150px;
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
}

/* @keyframes ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
} */
@keyframes ring {
    0% {
        transform: rotate(0deg);
        border-left: 4px solid #FFF;
    }

    50%{
        transform: rotate(180deg);
        border-left: 4px solid #5500FF;
    }

    100% {
        transform: rotate(360deg);
        border-left: 4px solid #FFF;
    }
}